commit:     4ed79e120cdbac02015ed687170afc994ccc516d
Author:     Joonas Niilola <juippis <AT> gmail <DOT> com>
AuthorDate: Tue May 22 18:16:25 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun  7 17:55:47 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ed79e12

media-plugins/imlib2_loaders: bump to 1.5.1

Add myself as proxy-maintainer.
Clean metadata.xml file.
Update EAPI to 7.

Package-Manager: Portage[mgorny]-2.3.36.1

 media-plugins/imlib2_loaders/Manifest              |  1 +
 .../imlib2_loaders/imlib2_loaders-1.5.1.ebuild     | 39 ++++++++++++++++++++++
 media-plugins/imlib2_loaders/metadata.xml          | 31 +++++++++++------
 3 files changed, 60 insertions(+), 11 deletions(-)

diff --git a/media-plugins/imlib2_loaders/Manifest 
b/media-plugins/imlib2_loaders/Manifest
index 07de4ecfa87..3b4491cddcf 100644
--- a/media-plugins/imlib2_loaders/Manifest
+++ b/media-plugins/imlib2_loaders/Manifest
@@ -1,2 +1,3 @@
 DIST imlib2_loaders-1.4.7.tar.gz 384739 BLAKE2B 
125200707c6bb9bb8f0c4ded56a3f8c0073843819e11d7ded6a363e1bef1a8c95227c4d010a3101c8a4714f9df8593cb2b58fd9e8b8f6da514a4be06ca1af10a
 SHA512 
c7be31b9a7b50ea5a44cadf0ec7f056f5080498ec53fcd32d82a0a6da163b59397e8470c7bbe536d2cabf88c7694d18b450ad85cc6693e8862aeb7d4ee0f4835
 DIST imlib2_loaders-1.4.8.tar.gz 384862 BLAKE2B 
53ac4d0dec5fccf2cb442883dbf9a0a31dab26c3ef206ef07b1bacf59ab74d9318dd6836eb0371183863e43b68db7f209efe92a1f8ecc18a1c2cfe038992f631
 SHA512 
5acf6568000d98571f0a4b7e63c3e5c534a7d12139654cdc64eaa3a551b7952f3752ad78e4ced595945adf03454367cc9c3dff7766bd35c2f7ee6baffdbb0a1a
+DIST imlib2_loaders-1.5.1.tar.gz 378169 BLAKE2B 
a65dabb8fb537489fe77fdc7c197ce4fa91dc13a86d1a5bf5aae4fbc9ac65a4194b57de8d49bb0dc2d906b20b7c79aa458d0ba668aa947a847414f377fd3b540
 SHA512 
a94996091a7f9f1271c19d24e6edebeb34977a4e67b8300897de0e5afd06bb9b209e404dd86ab3f397c6dec64f4985a515986b6b048d2c13416265eb2058a8a6

diff --git a/media-plugins/imlib2_loaders/imlib2_loaders-1.5.1.ebuild 
b/media-plugins/imlib2_loaders/imlib2_loaders-1.5.1.ebuild
new file mode 100644
index 00000000000..44ed51cae4d
--- /dev/null
+++ b/media-plugins/imlib2_loaders/imlib2_loaders-1.5.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Additional image loaders for Imlib2"
+HOMEPAGE="https://www.enlightenment.org/";
+SRC_URI="https://downloads.sourceforge.net/enlightenment/${P}.tar.gz";
+
+LICENSE="|| ( BSD GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="eet xcf"
+
+RDEPEND="
+       >=media-libs/imlib2-${PV}
+       eet? ( dev-libs/efl[eet] )
+"
+DEPEND="
+       ${RDEPEND}
+       virtual/pkgconfig
+"
+
+src_configure() {
+       local myconf=(
+               --disable-static
+               $(use_enable eet)
+               $(use_enable xcf)
+       )
+
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       V=1 emake install DESTDIR="${D}"
+       einstalldocs
+
+       find "${D}" -name '*.la' -delete || die
+}

diff --git a/media-plugins/imlib2_loaders/metadata.xml 
b/media-plugins/imlib2_loaders/metadata.xml
index 1f5dc09a7f4..f427414f57c 100644
--- a/media-plugins/imlib2_loaders/metadata.xml
+++ b/media-plugins/imlib2_loaders/metadata.xml
@@ -1,15 +1,24 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-<!-- maintainer-needed -->
-<use>
-       <flag name="eet">Enable Eet image loader</flag>
-       <flag name="xcf">Enable XCF image loader</flag>
-</use>
-<longdescription>
-additional image library loaders for imlib2
-</longdescription>
-<upstream>
-       <remote-id type="sourceforge">enlightenment</remote-id>
-</upstream>
+  <maintainer type="person">
+    <email>[email protected]</email>
+  </maintainer>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Proxy Maintainers</name>
+  </maintainer>
+  <use>
+    <flag name="eet">Enable Eet image loader</flag>
+    <flag name="xcf">Enable XCF image loader</flag>
+  </use>
+  <longdescription>
+    This package contains image loader plugins for Imlib2 that are not 
+    distributed together with the Imlib2 package itself.
+
+    The XCF loader cannot be packaged together with Imlib2 because 
+    Imlib2 is distributed under the BSD license, whereas the XCF loader 
+    is using elements of the Gimp's (www.gimp.org) codebase, which is 
+    distributed under the GPL. The XCF loader therefore is GPL'd as well.
+  </longdescription>
 </pkgmetadata>

Reply via email to